%{?nodejs_find_provides_and_requires}

%global packagename jison-lex
%global enable_tests 0
# tests disabled to bootstrap npm(jison)


Name:		nodejs-jison-lex
Version:	0.3.4
Release:	%mkrel 2
Summary:	Lexical analyzer generator used by jison

License:	MIT
URL:		https://github.com/zaach/jison-lex.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	LICENSE.md
# upstream license file requested at https://github.com/zaach/jison-lex/issues/14
Group:          Development/Java
BuildArch:	noarch
ExclusiveArch: %{ix86} x86_64 %{arm} noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(test)
%endif

%description
Lexical analyzer generator used by jison


%prep
%setup -q -n package
cp -p %{SOURCE1} .

%nodejs_fixdep nomnom '^1.5.2'

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs tests/all-tests.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Sep 28 2016 neoclust <neoclust> 0.3.4-2.mga6
+ Revision: 1057383
- imported package nodejs-jison-lex

